
Figure - Bug #118616
IOVDEV-33139【内部】【解决方案】【VC1】【0088】【实车】【EE环境】进入系统设置，点击副屏息屏，
无法息屏；
2023-06-07 15:51 - CD TEST-方永红

Status: CLOSED Start date: 2023-06-07

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 50%

Category: BSP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0106

Resolution: -- Degrated: --

Severity: Major Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: ST Root cause:

Description

【出现时间】：2023.6.7 13：05：38

【前提条件】：

1、车机上电

【操作步骤】：

1、 进入系统设置，

2、点击副屏息屏，

【实际结果】：

无法息屏；

【期望结果】：

应能正常息屏

【备 注】：安卓日志已上云

【车 架 号】：LJD8BB3F9P0000385

【环境信息】：EE

【版本详情】：03.02.0088.C103.03

【复归方法】：重启

【数采编号】0340024

History

#1 - 2023-06-07 16:01 - CD TEST-方永红

- File 1686124772002.zip added

#2 - 2023-06-07 16:18 - CD TEST-方永红

- File 8-130538.mp4 added

#3 - 2023-06-07 17:29 - CD FW-程天颖

- File power.log added

- Category changed from CD-FW to BSP

- Assignee changed from CD FW-程天颖 to CD BSP-杜磊

Hi,杜磊：

   从日志中分析，该问题是屏幕熄灭了又被点亮

06-07 13:06:27.031  1566  1807 I intercept_power: [ACTION_DOWN,0,0]

06-07 13:06:27.032  1566  1807 I PowerManagerService: Powering on display group fromAsleep (groupId=0, uid=1000, reason=WAKE_REASON_POWER_BUTTON,
details=android.policy:POWER)...

06-07 13:06:27.032  1566  1807 I PowerManagerService: Waking up from Asleep (uid=1000, reason=WAKE_REASON_POWER_BUTTON,

details=android.policy:POWER)...

06-07 13:06:27.033  1909  1909 D KeyguardViewMediator: handleNotifyFinishedGoingToSleep

06-07 13:06:27.034  1566  1807 I intercept_power: [ACTION_UP,0,0]

请帮忙分析一下为什么会出现该问题

power.log为一次完整的收到中控息屏命令后，息屏又点亮的日志

#4 - 2023-06-08 11:05 - CD BSP-杜磊

- Category changed from BSP to CD-FW

- Status changed from New to ASSIGNED

- Assignee changed from CD BSP-杜磊 to CD FW-程天颖

FSEM_000393_0349_0607131448/logcat/000393_persist_02327_230607_130616.log

接受指令：

06-07 13:06:27.031  1566  1807 I intercept_power: [ACTION_DOWN,0,0]

06-07 13:06:27.032  1566  1807 I PowerManagerService: Powering on display group fromAsleep (groupId=0, uid=1000, reason=WAKE_REASON_POWER_BUTTON,

details=android.policy:POWER)...

06-07 13:06:27.032  1566  1807 I PowerManagerService: Waking up from Asleep (uid=1000, reason=WAKE_REASON_POWER_BUTTON,

details=android.policy:POWER)...

06-07 13:06:27.033  1909  1909 D KeyguardViewMediator: handleNotifyFinishedGoingToSleep

06-07 13:06:27.034  1566  1807 I intercept_power: [ACTION_UP,0,0]

将屏幕从off　设置为on　状态

06-07 13:06:27.043  1566  1691 V DisplayPowerController0: Brightness [0.74747473] reason changing to: 'manual', previous reason: 'screen_off'.

06-07 13:06:27.043  1566  1691 I sysui_multi_action: [757,1696,758,6,759,3]

06-07 13:06:27.044  1566  1566 I WindowManager: Suppressed redundant power key press while already in the process of turning the screen on.　　

06-07 13:06:27.044   832   832 I QTI PowerHAL: Power setMode: 7 to: 1                                                                                                                                       

06-07 13:06:27.044   991   991 D SurfaceFlinger: Setting power mode 2 on display 4630946816427681409

06-07 13:06:27.044  1566  1637 I DisplayDeviceRepository: Display device changed state: "内置屏幕", ON

06-07 13:06:27.045  1566  1637 I InputManager-JNI: Viewport [0] to add: local:4630946816427681409, isActive: true

打开背光

06-07 13:06:27.106     0     0 I [12143.060994] [drm: dsi_ctrl_hw_cmn_video_engine_en] [msm-dsi-info]: DSI_0: MAX975X: Video engine = 1

06-07 13:06:27.106     0     0 I [12143.061765] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK       -- kernel背光亮

06-07 13:06:27.101  3961  3961 D PASRDozeReceiver: Received Intent Intent { act=android.intent.action.SCREEN_OFF flg=0x50200010 }

06-07 13:06:27.103   991   991 D SurfaceFlinger: Finished setting power mode 2 on display 4630946816427681409

kernel不会主动打开关闭背光，都是通过上层调用控制背光。

1130:06-07 13:06:27.024     0     0 I [12142.984217] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN　　　－－　*灭屏log*

1213:06-07 13:06:27.106     0     0 I [12143.061765] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK       -- 亮屏log

需要看一下上层亮灭屏状态切换是否有异常

#5 - 2023-06-09 17:16 - CD FW-程天颖

- Category changed from CD-FW to BSP

- Assignee changed from CD FW-程天颖 to CD BSP-杜磊
■ Current conclusion

已检查上层日志,并未发现异常,没有唤醒操作

怀疑是底层传递的power key事件唤醒的屏幕

■ My analysis

已知可以发送 power key事件的地方有两处

1.遥控器(已通过日志排除)

2.息屏状态点击屏幕唤醒(该情景会有intercept_power: [ACTION_DOWN,0,0]和intercept_power: [ACTION_UP,0,0]日志打印)

日志与息屏点击屏幕唤醒的日志一致

怀疑是点击屏幕唤醒的流程唤醒的屏幕,但是视频中并无屏幕点击,可能是息屏状态下屏幕点击判定出了问题

■ Next action

请bsp同学帮忙分析该intercept_power事件是否是底层传递而来

#6 - 2023-06-09 18:28 - CD BSP-杜磊

- Assignee changed from CD BSP-杜磊 to CD TPM-王祥林

- % Done changed from 0 to 50

#7 - 2023-06-13 18:41 - CD BSP-杜磊

在如下log中，　屏幕灭亮都是几100ｍｓ左右灭亮，灭亮成对出现。　

亮灭屏操作都是上层调用底层接口，驱动不会自己去两灭。

000393_persist_02327_230607_130616.log

637:06-07 13:06:23.724     0     0 I [12139.681254] [drm: dsi_ctrl_hw_cmn_video_engine_en] [msm-dsi-info]: DSI_0: MAX975X: Video engine = 0

638:06-07 13:06:23.724     0     0 I [12139.681693] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

707:06-07 13:06:23.812     0     0 I [12139.767484] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

905:06-07 13:06:25.581     0     0 I [12141.538343] [drm: dsi_ctrl_hw_cmn_video_engine_en] [msm-dsi-info]: DSI_0: MAX975X: Video engine = 0

906:06-07 13:06:25.581     0     0 I [12141.538771] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

998:06-07 13:06:25.655     0     0 I [12141.612917] [drm: dsi_ctrl_hw_cmn_video_engine_en] [msm-dsi-info]: DSI_0: MAX975X: Video engine = 1

999:06-07 13:06:25.655     0     0 E [12141.613700] [MAX975X: max96755x_vc1_lcd_dtc_check] ERROR DTC_Display: display off, backlight not turn off, sta:1 lvl:75

1000:06-07 13:06:25.655     0     0 I [12141.614067] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

1129:06-07 13:06:27.024     0     0 I [12142.983583] [drm: dsi_ctrl_hw_cmn_video_engine_en] [msm-dsi-info]: DSI_0: MAX975X: Video engine = 0

1130:06-07 13:06:27.024     0     0 I [12142.984217] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

1212:06-07 13:06:27.106     0     0 I [12143.060994] [drm: dsi_ctrl_hw_cmn_video_engine_en] [msm-dsi-info]: DSI_0: MAX975X: Video engine = 1

1213:06-07 13:06:27.106     0     0 I [12143.061765] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

视频上，此时副屏没有触摸TP。

#8 - 2023-06-14 16:42 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

207279 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

dulei0503@thundersoft.com

BSP:TP: Add power-key report logAdd power-key report log to record touch ghost handTC-RID: 1201-0100401IssueID: TS-R-DF-118616Change-Id:

I2bf11465a81ba47bf51f35511e3962987f5373d5
#9 - 2023-06-14 22:06 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

207421 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-la1.1-vendo

r-release_sorp

wangxl0510@thundersoft.com

BSP:TP: Add power-key report logAdd power-key report log to record touch ghost handTC-RID: 1201-0100401IssueID: TS-R-DF-118616Change-Id:

I2bf11465a81ba47bf51f35511e3962987f5373d5(cherry picked from commit 36875d40c4f813bf39c7c8c36dcc013b8dfcab20)

#10 - 2023-07-03 20:24 - CD TPM-王祥林

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD TPM-王祥林 to CD TEST-方永红

jira跟踪，内部票关闭。

#11 - 2023-07-17 17:41 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

此台车TP硬件故障，替换新样件复测通过

#12 - 2023-07-17 17:42 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

Snipaste_2023-06-07_15-50-41.png 586 KB 2023-06-07 CD TEST-方永红

Snipaste_2023-06-07_15-51-10.png 29.1 KB 2023-06-07 CD TEST-方永红

1686124772002.zip 16.7 MB 2023-06-07 CD TEST-方永红

8-130538.mp4 2.24 MB 2023-06-07 CD TEST-方永红

power.log 14.9 KB 2023-06-07 CD FW-程天颖
